Loading...
Searching...
No Matches
abis_om_hdr Struct Reference
A-bis OML

generic header in front of every OML message according to TS 08.59 More...

`#include <gsm_12_21.h>`

## Data Fields

uint8_t | mdisc
| Message Discriminator abis_oml_mdisc.
uint8_t | placement
| Placement (like ABIS_OM_PLACEMENT_ONLY)
uint8_t | sequence
| Sequence Number (if ABIS_OM_PLACEMENT_MIDDLE)
uint8_t | length
| Length in octets.
uint8_t | data [0]
| actual payload data

## Detailed Description

generic header in front of every OML message according to TS 08.59

## Field Documentation

## data

uint8_t abis_om_hdr::data[0]

actual payload data

## length

uint8_t abis_om_hdr::length

Length in octets.

## mdisc

uint8_t abis_om_hdr::mdisc

Message Discriminator abis_oml_mdisc.

## placement

uint8_t abis_om_hdr::placement

Placement (like ABIS_OM_PLACEMENT_ONLY)

## sequence

uint8_t abis_om_hdr::sequence

Sequence Number (if ABIS_OM_PLACEMENT_MIDDLE)

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_12_21.h